NewWacht Bench is live — AI-assisted development for Wacht

Create Rate Limit Scheme

POST
/api-auth/rate-limit-schemes

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.wacht.dev/api-auth/rate-limit-schemes" \  -H "Content-Type: application/json" \  -d '{    "slug": "string",    "name": "string",    "rules": [      {        "unit": "millisecond",        "duration": 0,        "max_requests": 0      }    ]  }'
{
  "id": 0,
  "deployment_id": 0,
  "slug": "string",
  "name": "string",
  "description": "string",
  "rules": [
    {
      "unit": "millisecond",
      "duration": 0,
      "max_requests": 0,
      "mode": "per_app",
      "endpoints": [
        "string"
      ],
      "priority": 0
    }
  ],
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}